Bug 1018786 - Listing filter is reset after displaying artifacts details
Listing filter is reset after displaying artifacts details
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER7
: 6.0.0
Assigned To: Eric Wittmann
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 08:07 EDT by Stefan Bunciak
Modified: 2015-08-02 19:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SRAMPUI-96 Major Closed Remember the selected filter criteria when navigating the UI 2013-12-12 07:28:28 EST

  None (edit)
Description Stefan Bunciak 2013-10-14 08:07:06 EDT
Description of problem:

* Listing filter is reset after displaying artifacts details

Version-Release number of selected component (if applicable):
* 6.0.0.ER4

How reproducible:


Steps to Reproduce:
1. Install FSW
2. Deploy some application to S-RAMP (e.g. s-ramp-demos-switchayrd)
3. Navigate to s-ramp-ui/#artifacts
4. Set some Filter rules (e.g. type 'WsdlDocument')
5. Open artifact details for 1 of the resulting artifacts
6. Return to the artifact listing (not aware of any other way than pressing back in browser)

Actual results:
* The filter is reset to default values (all artifacts are listed)

Expected results:
* The filter remains set and after returning back to the listing I see the same artifacts as in #4

Additional info:
Comment 1 Eric Wittmann 2013-10-15 12:29:15 EDT
Ok I made some changes to the s-ramp UI so that the filter settings are remembered.

I should also make this change to the dtgov UI.  I'll create a separate BZ to track that.
Comment 2 Stefan Bunciak 2013-12-12 07:28:23 EST
Verified in FSW 6.0.0.ER7

Note You need to log in before you can comment on or make changes to this bug.